Page MenuHomePhabricator

CX2: Don't show reference details when they are not in the reference
Closed, ResolvedPublic

Description

Translating "Börek" from Spanish to Catalan, the third reference is added to the translation and can be previewed in the reference card. There the title ("Turcizmi u srpskohrvatskom-hrvatskosrpskom jeziku"), publisher ("Sarajevo") and date ("1985") are shown:

However, when editing the reference, all parameters except the published ("Editorial" in Catalan) are missing. Title ("títol") and date ("data") are empty:

The reference card should show information based on the data present in the reference from the target article.


This ticket is specifically about the reference card showing information not present in the reference itself, which can be misleading users to believe that it was adapted properly. Separate tickets will be created for related issues such as showing warnings (T206310) or improving the adaptation process (T203550 may help in this particular case).

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDo not show reference content for unadapted references

Event Timeline

Pginer-WMF triaged this task as Normal priority.Oct 5 2018, 10:28 AM
Pginer-WMF created this task.
Pginer-WMF updated the task description. (Show Details)Oct 5 2018, 10:48 AM
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Oct 15 2018, 1:06 PM
Pginer-WMF raised the priority of this task from Normal to High.May 21 2019, 7:32 AM
Pginer-WMF lowered the priority of this task from High to Normal.Jun 17 2019, 11:14 AM

@Pginer-WMF Is there any other example with this issue? This particualr example is functioning correctly now.

Pginer-WMF added a comment.EditedJun 24 2019, 4:03 PM

@Pginer-WMF Is there any other example with this issue? This particualr example is functioning correctly now.

It seems that metadata for catalan has improved during this time. You can try the same example, but translating from Spanish to Tagalog (quick link). I got the following result:

Reference [3] appears in grey and shows the details in the cardInspecting the reference shows it's empty, not having such details
santhosh claimed this task.Jun 25 2019, 8:51 AM

Change 518922 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Do not show reference content for unadapted references

https://gerrit.wikimedia.org/r/518922

santhosh added subscribers: marcella, Esanders.EditedJul 3 2019, 4:19 AM

Hi @Esanders, we have a question in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/518922 about capturing the save event from reference editor.

+cc @JTanner

santhosh edited subscribers, added: JTannerWMF; removed: marcella.Jul 3 2019, 6:02 AM
Esanders added a comment.EditedJul 5 2019, 2:13 PM

Replied on gerrit. I note that in the patch you are setting attributes.cx directly. If you are doing that anywhere else you should replace it with a transaction as the linear data should never been edited directly.

Replied on gerrit. I note that in the patch you are setting attributes.cx directly. If you are doing that anywhere else you should replace it with a transaction as the linear data should never been edited directly.

Thanks. I updated the patch

Change 518922 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Do not show reference content for unadapted references

https://gerrit.wikimedia.org/r/518922

Jpita added a subscriber: Jpita.Jul 25 2019, 5:14 AM

@santhosh on cx2-testing, on this video you can see that when I change the MT engine to copy original content and I select some references, on some cases the reference info box is empty (if you click edit the information is correct on the popup).
In production this is not happening so I'm assuming this issue was introduced here.

It seems there are two issues here. A gray reference link is unadapted reference. This ticket made the reference code show only the edit button for such references.

When MT engine changes, the reference adaptation status is expected to be same. So if that is happening. it need a different ticket to fix.

Jpita closed this task as Resolved.Aug 6 2019, 5:16 PM